version: "3"


services:
  server:
    image: gitea/gitea:1.19.0
    container_name: gitea
    environment:
      - VIRTUAL_HOST=git.micard-family.fr
      - LETSENCRYPT_HOST=git.micard-family.fr
      - LETSENCRYPT_EMAIL=emilien.micard@gmail.com
      - VIRTUAL_PORT=3000
      - USER_UID=1000
      - USER_GID=1000
      - GITEA__database__DB_TYPE=mysql
      - GITEA__database__HOST=db:3306
      - GITEA__database__NAME=gitea
      - GITEA__database__USER=gitea
      - GITEA__database__PASSWD=gitea
    restart: always
    #networks:
    #  - gitea
    volumes:
      - /mnt/data/gitea:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ports:
    #  - "3000:3000"
      - "222:22"
    depends_on:
      - db

  db:
    image: mariadb:10.6
    container_name: "gitea-db"
    restart: always
    command: mysqld --innodb-buffer-pool-size=256M --transaction-isolation=READ-COMMITTED --character-set-server=utf8mb4 --collation-server=utf8mb4_unicode_ci --max-connections=512 --innodb-rollback-on-timeout=OFF --innodb-lock-wait-timeout=120
    ports:
      - "33007:3306" # MySQL port (host:container)
    security_opt:
      - seccomp:unconfined
      - apparmor:unconfined
    environment:
      - MYSQL_ROOT_PASSWORD=gitea
      - MYSQL_USER=gitea
      - MYSQL_PASSWORD=gitea
      - MYSQL_DATABASE=gitea
    #networks:
    #  - gitea
    volumes:
      - ./db:/var/lib/mysql


networks:
    default:
        external:
            name: proxy_nginxproxy
